Bug 804625 - Review Request: perl-MooseX-Has-Options - Succinct options for Moose
Review Request: perl-MooseX-Has-Options - Succinct options for Moose
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 09:13 EDT by Iain Arnell
Modified: 2012-04-11 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-MooseX-Has-Options-0.002-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 23:51:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-03-19 09:13:15 EDT
Spec URL: http://iarnell.fedorapeople.org/review/perl-MooseX-Has-Options.spec
SRPM URL: http://iarnell.fedorapeople.org/review/perl-MooseX-Has-Options-0.002-1.fc18.src.rpm
Description: 
This module provides a succinct syntax for declaring options for Moose
attributes. It hijacks the 'has' function imported by Moose and replaces it
with one that understands the options syntax.

Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=3909294

There is one rpmlint "error" - but upstream uses Dist-Zilla, so should automatically pick up the new address with the next release.
perl-MooseX-Has-Options.noarch: E: incorrect-fsf-address /usr/share/doc/perl-MooseX-Has-Options-0.002/LICENSE
Comment 1 Mario Blättermann 2012-04-01 06:24:58 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3954319

$ rpmlint -i -v *
perl-MooseX-Has-Options.noarch: I: checking
perl-MooseX-Has-Options.noarch: I: checking-url http://search.cpan.org/dist/MooseX-Has-Options/ (timeout 10 seconds)
perl-MooseX-Has-Options.noarch: E: incorrect-fsf-address /usr/share/doc/perl-MooseX-Has-Options-0.002/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

perl-MooseX-Has-Options.src: I: checking
perl-MooseX-Has-Options.src: I: checking-url http://search.cpan.org/dist/MooseX-Has-Options/ (timeout 10 seconds)
perl-MooseX-Has-Options.src: I: checking-url http://www.cpan.org/authors/id/P/PS/PSHANGOV/MooseX-Has-Options-0.002.tar.gz (timeout 10 seconds)
perl-MooseX-Has-Options.spec: I: checking-url http://www.cpan.org/authors/id/P/PS/PSHANGOV/MooseX-Has-Options-0.002.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 0 warnings.
Comment 2 Mario Blättermann 2012-04-01 06:30:51 EDT
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    6ea980a6321d664b9948a95d58807f4c  MooseX-Has-Options-0.002.tar.gz
    6ea980a6321d664b9948a95d58807f4c  MooseX-Has-Options-0.002.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------
Comment 3 Iain Arnell 2012-04-01 08:41:33 EDT
New Package SCM Request
=======================
Package Name: perl-MooseX-Has-Options
Short Description: Succinct options for Moose
Owners: iarnell
Branches: f15 f16 f17
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2012-04-02 06:03:44 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-04-02 07:24:56 EDT
perl-MooseX-Has-Options-0.002-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-MooseX-Has-Options-0.002-1.fc16
Comment 6 Fedora Update System 2012-04-02 07:25:28 EDT
perl-MooseX-Has-Options-0.002-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-MooseX-Has-Options-0.002-1.fc15
Comment 7 Fedora Update System 2012-04-02 07:25:36 EDT
perl-MooseX-Has-Options-0.002-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-MooseX-Has-Options-0.002-1.fc17
Comment 8 Fedora Update System 2012-04-02 13:45:56 EDT
perl-MooseX-Has-Options-0.002-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-04-10 23:51:58 EDT
perl-MooseX-Has-Options-0.002-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-04-10 23:59:11 EDT
perl-MooseX-Has-Options-0.002-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2012-04-11 12:54:35 EDT
perl-MooseX-Has-Options-0.002-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-04-11 13:05:21 EDT
perl-MooseX-Has-Options-0.002-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2012-04-11 23:24:38 EDT
perl-MooseX-Has-Options-0.002-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.